gtkmm 4.7.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::AlternativeTrigger Class Reference

A Gtk::ShortcutTrigger that triggers when either of two ShortcutTriggers trigger. More...

`#include <gtkmm/shortcuttrigger.h>`

Inheritance diagram for Gtk::AlternativeTrigger:
[legend]

## Public Member Functions
| AlternativeTrigger (AlternativeTrigger && src) noexcept
AlternativeTrigger & | operator= (AlternativeTrigger && src) noexcept
| ~AlternativeTrigger () noexcept override
GtkAlternativeTrigger * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkAlternativeTrigger * | gobj () const
| Provides access to the underlying C GObject. More...
GtkAlternativeTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< const ShortcutTrigger > | get_first () const
| Gets the first of the two alternative triggers that may trigger self. More...
Glib::RefPtr< const ShortcutTrigger > | get_second () const
| Gets the second of the two alternative triggers that may trigger self. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< const ShortcutTrigger > > | property_first () const
| The first `Gtk::ShortcutTrigger` to check. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< const ShortcutTrigger > > | property_second () const
| The second `Gtk::ShortcutTrigger` to check. More...
Public Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger (ShortcutTrigger && src) noexcept
ShortcutTrigger & | operator= (ShortcutTrigger && src) noexcept
| ~ShortcutTrigger () noexcept override
GtkShortcutTrigger * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkShortcutTrigger * | gobj () const
| Provides access to the underlying C GObject. More...
GtkShortcutTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | to_string () const
| Prints the given trigger into a human-readable string. More...
Glib::ustring | to_label (const Glib::RefPtr< const Gdk::Display > & display) const
| Gets textual representation for the given trigger. More...
bool | equal (const Glib::RefPtr< const ShortcutTrigger > & trigger2) const
| Checks if trigger1 and trigger2 trigger under the same conditions. More...
int | compare (const Glib::RefPtr< const ShortcutTrigger > & trigger2) const
| The types of trigger1 and trigger2 are `gconstpointer` only to allow use of this function as a `CompareFunc`. More...
Gdk::KeyMatch | trigger (const Glib::RefPtr< const Gdk::Event > & event, bool enable_mnemonics) const
| Checks if the given event triggers self. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< AlternativeTrigger > | create (const Glib::RefPtr< const ShortcutTrigger > & first, const Glib::RefPtr< const ShortcutTrigger > & second)
Static Public Member Functions inherited from Gtk::ShortcutTrigger
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< ShortcutTrigger > | parse_string (const Glib::ustring &string)
| Tries to parse the given string into a trigger. More...

## Protected Member Functions
| AlternativeTrigger (const Glib::RefPtr< const ShortcutTrigger > & first, const Glib::RefPtr< const ShortcutTrigger > & second)
Protected Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::AlternativeTrigger > | wrap (GtkAlternativeTrigger * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::ShortcutTrigger
Glib::RefPtr< Gtk::ShortcutTrigger > | wrap (GtkShortcutTrigger * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A Gtk::ShortcutTrigger that triggers when either of two ShortcutTriggers trigger.

## Constructor & Destructor Documentation

## ◆ AlternativeTrigger() [1/2]

Gtk::AlternativeTrigger::AlternativeTrigger | ( | AlternativeTrigger && | src | ) |
| noexcept

## ◆ ~AlternativeTrigger()

Gtk::AlternativeTrigger::~AlternativeTrigger | ( |  | ) |
| override noexcept

## ◆ AlternativeTrigger() [2/2]

Gtk::AlternativeTrigger::AlternativeTrigger | ( | const Glib::RefPtr< const ShortcutTrigger > & | first,
|  | const Glib::RefPtr< const ShortcutTrigger > & | second
| ) |  |
| explicit protected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr<AlternativeTrigger> Gtk::AlternativeTrigger::create | ( | const Glib::RefPtr< const ShortcutTrigger > & | first,
|  | const Glib::RefPtr< const ShortcutTrigger > & | second
| ) |  |
| static

## ◆ get_first()

Glib::RefPtr<const ShortcutTrigger> Gtk::AlternativeTrigger::get_first | ( |  | ) | const

Gets the first of the two alternative triggers that may trigger self.

get_second() will return the other one.

Returns
  The first alternative trigger.

## ◆ get_second()

Glib::RefPtr<const ShortcutTrigger> Gtk::AlternativeTrigger::get_second | ( |  | ) | const

Gets the second of the two alternative triggers that may trigger self.

get_first() will return the other one.

Returns
  The second alternative trigger.

## ◆ get_type()

static GType Gtk::AlternativeTrigger::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkAlternativeTrigger* Gtk::AlternativeTrigger::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkAlternativeTrigger* Gtk::AlternativeTrigger::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkAlternativeTrigger* Gtk::AlternativeTrigger::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

AlternativeTrigger& Gtk::AlternativeTrigger::operator= | ( | AlternativeTrigger && | src | ) |
| noexcept

## ◆ property_first()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<const ShortcutTrigger> > Gtk::AlternativeTrigger::property_first | ( |  | ) | const

The first `Gtk::ShortcutTrigger` to check.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_second()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<const ShortcutTrigger> > Gtk::AlternativeTrigger::property_second | ( |  | ) | const

The second `Gtk::ShortcutTrigger` to check.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::AlternativeTrigger > wrap | ( | GtkAlternativeTrigger * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.